Skip to main content
summaryrefslogtreecommitdiffstats
blob: 6016a29238049b599652f8c8d9c5dd8839986ede (plain) (blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
<?xml version="1.0" encoding="UTF-8"?>
<project default="build_all">
 	<import file="../com.instantiations.eclipse.shared_build/build-macros.xml" />

	<!-- ================================================= 
		Build elements common for all versions of Eclipse 
		and place them into ${build.temp}/common/${Project-Name}/out
	-->
	<target name="build_common">
		<init_properties />
		<read_manifest />
		<read_build />

		<jar_bundle eclipseTarget="3.3" type="plugins" />
		<move_bundle_to_common eclipsetarget="3.3" type="plugins"/>
		<finalize_build_common/>
	</target>

	<!-- ================================================= 
		Build elements for Eclipse 3.2
		and place them into ${build.temp}/3.2/${Project-Name}/out
	-->
	<target name="build_3.2" depends="build_common" if="build.for.32.flag">
		<copy_update_jars eclipsetargetfrom="3.3" eclipsetargetto="3.2" type="plugins" />
	</target>

	<!-- ================================================= 
		Build elements for Eclipse 3.3
		and place them into ${build.temp}/3.3/${Project-Name}/out
	-->
	<target name="build_3.3" depends="build_common" if="build.for.33.flag">
	</target>

	<!-- ================================================= 
		Build elements for Eclipse 3.4
		and place them into ${build.temp}/3.4/${Project-Name}/out
	-->
	<target name="build_3.4" depends="build_common" if="build.for.34.flag">
		<copy_update_jars eclipsetargetfrom="3.3" eclipsetargetto="3.4" type="plugins" />
	</target>

	<!-- ================================================= 
		Build elements for Eclipse 3.5
		and place them into ${build.temp}/3.5/${Project-Name}/out
	-->
	<target name="build_3.5" depends="build_common" if="build.for.35.flag">
		<copy_update_jars eclipsetargetfrom="3.3" eclipsetargetto="3.5" type="plugins" />
	</target>

	<!-- ================================================= 
		Build elements for all versions of Eclipse
	-->
	<target name="build_all"
	        depends="build_3.2, build_3.3, build_3.4, build_3.5">
	</target>

</project>

Back to the top